org.apache.fop.complexscripts.scripts

## Class DevanagariScriptProcessor

- java.lang.Object
- - org.apache.fop.complexscripts.scripts.ScriptProcessor
  - - org.apache.fop.complexscripts.scripts.DefaultScriptProcessor
    - - org.apache.fop.complexscripts.scripts.IndicScriptProcessor
      - - org.apache.fop.complexscripts.scripts.DevanagariScriptProcessor

    public class DevanagariScriptProcessor
    extends IndicScriptProcessor

The `DevanagariScriptProcessor` class implements a script processor for performing glyph substitution and positioning operations on content associated with the Devanagari script.

This work was originally authored by Glenn Adams (gadams@apache.org).

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.complexscripts.scripts.IndicScriptProcessor

`IndicScriptProcessor.DefaultSyllabizer, IndicScriptProcessor.Segment, IndicScriptProcessor.Syllabizer`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `findPreBaseMatra(GlyphSequence gs)` Find pre-base matra in sequence.
`protected int` `findPreBaseMatraTarget(GlyphSequence gs, int source)` Find pre-base matra target in sequence.
`protected int` `findReph(GlyphSequence gs)` Find reph in sequence.
`protected int` `findRephTarget(GlyphSequence gs, int source)` Find reph target in sequence.
`protected Class<? extends org.apache.fop.complexscripts.scripts.DevanagariScriptProcessor.DevanagariSyllabizer>` `getSyllabizerClass()` Get script specific syllabizer class.

### Methods inherited from class org.apache.fop.complexscripts.scripts.IndicScriptProcessor

`getOptionalPositioningFeatures, getOptionalSubstitutionFeatures, getPositioningContextTester, getPositioningFeatures, getSubstitutionContextTester, getSubstitutionFeatures, makeProcessor, position, substitute`

### Methods inherited from class org.apache.fop.complexscripts.scripts.DefaultScriptProcessor

`isReorderedMark, reorderCombiningMarks`

### Methods inherited from class org.apache.fop.complexscripts.scripts.ScriptProcessor

`assembleLookups, getInstance, getScript, position, preProcess, substitute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSyllabizerClass

    protected Class<? extends org.apache.fop.complexscripts.scripts.DevanagariScriptProcessor.DevanagariSyllabizer> getSyllabizerClass()

Description copied from class: `IndicScriptProcessor`
Get script specific syllabizer class.

Overrides:
  `getSyllabizerClass` in class `IndicScriptProcessor`
Returns:
  a syllabizer class object or null

#### findPreBaseMatra

    protected int findPreBaseMatra(GlyphSequence gs)

Description copied from class: `IndicScriptProcessor`
Find pre-base matra in sequence.

Overrides:
  `findPreBaseMatra` in class `IndicScriptProcessor`
Parameters:
  `gs` - input sequence
Returns:
  index of pre-base matra or -1 if not found

#### findPreBaseMatraTarget

    protected int findPreBaseMatraTarget(GlyphSequence gs,
                                         int source)

Description copied from class: `IndicScriptProcessor`
Find pre-base matra target in sequence.

Overrides:
  `findPreBaseMatraTarget` in class `IndicScriptProcessor`
Parameters:
  `gs` - input sequence
  `source` - index of pre-base matra
Returns:
  index of pre-base matra target or -1

#### findReph

    protected int findReph(GlyphSequence gs)

Description copied from class: `IndicScriptProcessor`
Find reph in sequence.

Overrides:
  `findReph` in class `IndicScriptProcessor`
Parameters:
  `gs` - input sequence
Returns:
  index of reph or -1 if not found

#### findRephTarget

    protected int findRephTarget(GlyphSequence gs,
                                 int source)

Description copied from class: `IndicScriptProcessor`
Find reph target in sequence.

Overrides:
  `findRephTarget` in class `IndicScriptProcessor`
Parameters:
  `gs` - input sequence
  `source` - index of reph
Returns:
  index of reph target or -1